import excel using "EDTG_Replication Data.xls", sheet("Sheet1") firstrow

**** Figure 1 *********
tabulate ystart

*****Figure 2 *********

recode ystart 1970/2006 = 1 2007/2016 = 2, generate(period)

gen ideology=.
replace ideology=1 if left==1
replace ideology=2 if nat==1
replace ideology=3 if rel==1
replace ideology=4 if right==1

tabulate ideology period

**** Figure 3 *********

local p=1
matrix mat1=J(1,7,0)
matrix mat2=J(2,7,0)

foreach var of varlist EAP ECA LAC MENA NA SAS SSA {
	tab gid if `var'==1, nofreq
	matrix mat1[1,`p']=r(r)	
		forvalues i=1/2 {
			tab gid if `var'==1 & period==`i', nofreq
			matrix mat2[`i',`p']=r(r)
}
				local p=`p'+1
}
mat X1=[mat1\mat2[2,1...]\mat2[1,1...]]

mat colnames X1 = "EAP" "ECA" "LAC" "MENA" "NA" "SAS" "SSA"
mat rownames X1 = "1970-2016" "2007-2016" "1970-2006"
matrix list X1
